X2Go Bug report logs - #815
x2goserver not installable Ubuntu 14.04

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Ralf Hemberger <ralf.hemberger@gmail.com>

Date: Sat, 14 Mar 2015 00:40:01 UTC

Severity: normal

Merged with 816, 817

Found in version 3.5.0.29

Fixed in version 3.5.0.30

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


đź”— View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#815: x2goserver not installable Ubuntu 14.04
Reply-To: Ralf Hemberger <ralf.hemberger@gmail.com>, 815@bugs.x2go.org
Resent-From: Ralf Hemberger <ralf.hemberger@gmail.com>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Sat, 14 Mar 2015 00:40:01 +0000
Resent-Message-ID: <handler.815.B.14262935797193@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 815
X-X2Go-PR-Package: x2goserver
X-X2Go-PR-Keywords: 
Received: via spool by submit@bugs.x2go.org id=B.14262935797193
          (code B); Sat, 14 Mar 2015 00:40:01 +0000
Received: (at submit) by bugs.x2go.org; 14 Mar 2015 00:39:39 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	HTML_MESSAGE,T_DKIM_INVALID,URIBL_BLOCKED autolearn=ham version=3.3.2
Received: from mail-ig0-f170.google.com (mail-ig0-f170.google.com [209.85.213.170])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 9FAEA3BED7
	for <submit@bugs.x2go.org>; Sat, 14 Mar 2015 01:39:36 +0100 (CET)
Received: by igcqo1 with SMTP id qo1so788280igc.0
        for <submit@bugs.x2go.org>; Fri, 13 Mar 2015 17:39:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:date:message-id:subject:from:to:content-type;
        bh=z8t67VvK/QcOWxZ+1CfIAlkeuwLAsOO80LZQ0gE2avE=;
        b=A+4ULz+NExT1b64WUQR17Qx5ff3kd5OR3rvIW6VJ9y2a7m6vWomhZiD+8wPnwbjKzu
         shIKMyoFODt6hmvI9wXj1cSyzh08YsW2gO8xkMbJLtfjqDNtiLDUl2TkyAeRgGRYaAvZ
         2lWryO9J2fOuv0TqNX9pLIlx8IiGklLfiIiTLWK3lmFnTmOJlVadJSWnbVkEm+610agV
         NLqpJcXqq1h9Bd7+1joEGulDahCQGUc/HC8qUshk5AtR6diUu9Sc2VtAGkQRsPWvkOo0
         x5tm8XiKFSwZrVa5lsUCx8Sj4cMhfyljIeWlkrwlVWf0G9TUW9SQ1C3t1Pe88WRzX3Dd
         SEAg==
MIME-Version: 1.0
X-Received: by 10.42.118.73 with SMTP id w9mr61966089icq.44.1426293575072;
 Fri, 13 Mar 2015 17:39:35 -0700 (PDT)
Received: by 10.107.168.79 with HTTP; Fri, 13 Mar 2015 17:39:35 -0700 (PDT)
Date: Sat, 14 Mar 2015 01:39:35 +0100
Message-ID: <CACtn4CqZDdBb5z4tjP7hHi2=t6nBcYtd6pqRqoGVxL=ct+K=Fw@mail.gmail.com>
From: Ralf Hemberger <ralf.hemberger@gmail.com>
To: submit@bugs.x2go.org
Content-Type: multipart/alternative; boundary=90e6ba5bc071e342d9051134d925
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.19-0~1062~ubuntu14.04.1

Hello,

today apt-get upgrade removed x2goserver from my ubuntu amd64 machine.

When i try to reinstall (sudo apt-get install x2goserver
x2goserver-xsession), I finally get:

ralf@videobox:~$ sudo apt-get --reinstall install nxagent
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 nxagent : Hängt ab von: libnx-x11-6 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libnx-xext6 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libnx-xpm4 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libnx-xrender1 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libxcompext3 soll aber nicht installiert werden
           Hängt ab von: libxcompshad3 soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene
defekte Pakete.
ralf@videobox:~$ apt-cache policy libnx-x11-6
libnx-x11-6:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libnx-xext6
libnx-xext6:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libnx-xpm4
libnx-xpm4:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libnx-xrender1
libnx-xrender1:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libxcompext3
libxcompext3:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libxcompshad3
libxcompshad3:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
     3.3.0-3-0ubuntu1 0
        500 http://ftp-stud.hs-esslingen.de/ubuntu/ trusty/universe amd64
Packages
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Feb 23 02:50:26 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.